# Gimp.Image.get_name

    @accepts(Gimp.Image)
    @returns(unicode)
    def get_name(self):
        # Python wrapper for gimp_image_get_name()

Returns the specified image's name.

This procedure returns the image's name. If the image has a filename or an URI, then the returned name contains the filename's or URI's base name (the last component of the path). Otherwise it is the translated string \"Untitled\". The returned name is formatted like the image name in the image window title, it may contain '[]', '(imported)' etc. and should only be used to label user interface elements. Never use it to construct filenames.

self

  The image.

Returns